Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 13-04-2016 11:25:28

TITI29
Membre
Inscription : 13-04-2016

Désinstaller perl 5.14 sur debian 6.0

Bonjour,

il semble que ma version de perl 5.14 installé sur une debian 6.0 ne fonction pas correctement avec ma version de postgresql 7.2. je voulais savoir comment je pouvais désinstaller proprement ma version de perl et installer la version 5.10 de perl (cette version fonctionne correctement sur un autre serveur avec les même version de debian, postgresql. Merci d'avance pour vos aides éclairées.

Pierre

Hors ligne

#2 13-04-2016 11:41:35

bendia
Admin stagiaire
Distrib. : Jessie
Noyau : 3.16.0-4-amd64
(G)UI : Gnome + XFCE + Console
Inscription : 20-03-2012
Site Web

Re : Désinstaller perl 5.14 sur debian 6.0

Bonjour et Bienvenue smile

Debian 6 n'est plus maintenue,même dans sa version Long Term Support depuis fin Février de cette année hmm Il n'y a donc plus de mise à jour de sécurité pour cette version. C'est peut-être problématique pour un serveur ?

Après, si tu souhaites vraiment prendre ce risque, il faudrait nous donner les détails du pourquoi cette version du paquet, puisqu'il semble à l'origine que Debian 6 était fournie avec la version 5.10 de Perl.

cat /etc/apt/sources.list
apt-cache policy perl



Dans le principe, si pour ma part, si je devais me risquer à conserver un serveur sous Debian 6, je pense qu'il faudrait modifier le fichiers sources.list pour qu'il pointe sur un snapshot de la fin de vie de Debian 6, et là, en théorie, je devrais retrouver une version 5.10 de Perl, installable avec les outils apt (aptitude peut-être pour pouvoir downgrader ? )


Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.
file-Re06858991f6f328b4907296ac5cea283

Hors ligne

#3 13-04-2016 11:57:44

TITI29
Membre
Inscription : 13-04-2016

Re : Désinstaller perl 5.14 sur debian 6.0

Merci pour ton retour,

pour source-list :

# deb cdrom:[Debian GNU/Linux 6.0.10 _Squeeze_ - Official amd64 CD Binary-1 20140719-13:06]/ squeeze main
#deb cdrom:[Debian GNU/Linux 6.0.10 _Squeeze_ - Official amd64 CD Binary-1 20140719-13:06]/ squeeze main

#deb http://security.debian.org/ squeeze/updates main
#deb-src http://security.debian.org/ squeeze/updates main

# Debian 6.0 Squeeze LTS
deb http://http.debian.net/debian/ squeeze-lts main contrib non-free
deb-src http://http.debian.net/debian/ squeeze-lts main contrib non-free

# squeeze-updates, previously known as 'volatile'
# A network mirror was not selected during install.  The following entries
# are provided as examples, but you should amend them as appropriate
# for your mirror of choice.
#
#deb http://ftp.debian.org/debian/ squeeze-updates main
#deb-src http://ftp.debian.org/debian/ squeeze-updates main

deb http://debian.osuosl.org/debian wheezy main non-free contrib
deb-src http://debian.osuosl.org/debian wheezy main non-free contrib

deb http://security.debian.org/ wheezy/updates main contrib non-free
deb-src http://security.debian.org/ wheezy/updates main contrib non-free

# wheezy-updates, previously known as 'volatile'
deb http://debian.osuosl.org/debian wheezy-updates main contrib non-free
deb-src http://debian.osuosl.org/debian wheezy-updates main contrib non-free

# Debian 6.0 Squeeze LTS
deb http://http.debian.net/debian/ squeeze-lts main contrib non-free
deb-src http://http.debian.net/debian/ squeeze-lts main contrib non-free



et apt-cache policy perl :

perl:
  Installé : 5.14.2-21+deb7u3
  Candidat : 5.14.2-21+deb7u3
 Table de version :
 *** 5.14.2-21+deb7u3 0
        500 [url]http://debian.osuosl.org/debian/[/url] wheezy/main amd64 Packages
        500 [url]http://security.debian.org/[/url] wheezy/updates/main amd64 Packages
        100 /var/lib/dpkg/status



Edit à bendia : c'est beau les sources en couleur winkVoir le tuto : Le code, ça pique moins les yeux en couleur

Hors ligne

#4 13-04-2016 12:09:51

bendia
Admin stagiaire
Distrib. : Jessie
Noyau : 3.16.0-4-amd64
(G)UI : Gnome + XFCE + Console
Inscription : 20-03-2012
Site Web

Re : Désinstaller perl 5.14 sur debian 6.0

C'est plus lisibles en couleur les sources smile

C'est un sacré sac de nœuds ce sources.list wink

Bon, à mon humble avis, si les mises à jour ont étés faite correctement, tu n'es pas sous Debian 6 mais sous Debian 7. Pour vérifier

cat /etc/debian_version


C'est un serveur en production ?


Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.
file-Re06858991f6f328b4907296ac5cea283

Hors ligne

#5 13-04-2016 12:35:01

TITI29
Membre
Inscription : 13-04-2016

Re : Désinstaller perl 5.14 sur debian 6.0

Non c'est un serveur de secours que j'essaie d'installer.

cat /etc/debian_version
6.0.10

Hors ligne

#6 13-04-2016 13:12:36

bendia
Admin stagiaire
Distrib. : Jessie
Noyau : 3.16.0-4-amd64
(G)UI : Gnome + XFCE + Console
Inscription : 20-03-2012
Site Web

Re : Désinstaller perl 5.14 sur debian 6.0

Bon et que dit

cat /etc/apt/preferences
ls /etc/apt/preferences.d


(à mettre entre des balises code histoire dépargner mes yeux wink )
C'est pour comprendre pourquoi tout le système n'est pas sous Debian 7.

Il est dans le même état le serveur de prod ?


Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.
file-Re06858991f6f328b4907296ac5cea283

Hors ligne

#7 13-04-2016 13:47:09

TITI29
Membre
Inscription : 13-04-2016

Re : Désinstaller perl 5.14 sur debian 6.0

les commandes ne donne rien.

Pour ce qui est du serveur de production il répond bien à notre besoin à savoir serveur de BDD postgresql et lanceur de tache planifiée. Pour le détail de l'installation debian, comme je ne suis pas un expert je ne pourrai porter un jugement.

Hors ligne

#8 13-04-2016 14:48:43

bendia
Admin stagiaire
Distrib. : Jessie
Noyau : 3.16.0-4-amd64
(G)UI : Gnome + XFCE + Console
Inscription : 20-03-2012
Site Web

Re : Désinstaller perl 5.14 sur debian 6.0

TITI29 a écrit :

les commandes ne donne rien.

Je m’attendais à trouver quelque chose pour que tout le système ne soit pas passé sus wheezy

TITI29 a écrit :

comme je ne suis pas un expert je ne pourrai porter un jugement

Pour ma part, je ne suis même pas un professionnel de l'informatique donc, je présume  qu’utiliser une distribution non maintenue en mélangeant les versions sans filet est un choix mesuré par des pros wink Bon, en gros, je ne sais pas dans quel état est le système, avec ce potentiel mélange entre Debian 6 et 7. Il est donc possible que les manips que je propose foirent hmm

Du fait que Squeeze (le petit nom de Debian 6) ne soit plus maintenue, le dépôt qui y fait référence n'existe plus à cette adresse.

Il faut donc remettre un sources.list qui va bien avec juste l'entrée pour Squeeze-lts et sans les doublons en construisant l'URL grâce aux snapshot, puis, forcer l'installation de perl en version 5.10 avec aptitude.

Le sources.list devrait tenir en 3 lignes.

Je précise que notre wiki étant plutôt à destination des débutants et que l'opération en question est plutôt un truc avancé, il se peut que toutes les options nécessaires n'y soient pas précisées. Dans ce cas, le manuel est ton ami

man sources.list
man aptitude



Parole de tech, même dans autre chose que l'informatique, prends 1 heure pour lire la doc et comprendre comment fonctionne Debian (Gestion des paquets notamment) ça fait souvent gagner 2 ou 3 heures. Qui à dit RTFM ? lol


Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.
file-Re06858991f6f328b4907296ac5cea283

Hors ligne

#9 13-04-2016 14:50:55

TITI29
Membre
Inscription : 13-04-2016

Re : Désinstaller perl 5.14 sur debian 6.0

Mais comment tu vois que c'est version 7 plutôt qu'une 6 ? ce n'est pas moi qui est installé la VM elle m'a été livrée par mon service infra. Je me suis chargé d'installer seulement la BDD.

Pierre

Hors ligne

#10 13-04-2016 14:55:39

TITI29
Membre
Inscription : 13-04-2016

Re : Désinstaller perl 5.14 sur debian 6.0

merci pour les conseils.
avant de modifier sources-list , je n'ai pas besoin de désinstaller la version 5.14 de perl ?

Hors ligne

#11 13-04-2016 15:20:59

bendia
Admin stagiaire
Distrib. : Jessie
Noyau : 3.16.0-4-amd64
(G)UI : Gnome + XFCE + Console
Inscription : 20-03-2012
Site Web

Re : Désinstaller perl 5.14 sur debian 6.0

TITI29 a écrit :

Mais comment tu vois que c'est version 7 plutôt qu'une 6 ?

Dans le sources.list actuel, tu vois ça

deb http://debian.osuosl.org/debian wheezy main non-free contrib
deb-src http://debian.osuosl.org/debian wheezy main non-free contrib

deb http://security.debian.org/ wheezy/updates main contrib non-free
deb-src http://security.debian.org/ wheezy/updates main contrib non-free

# wheezy-updates, previously known as 'volatile'
deb http://debian.osuosl.org/debian wheezy-updates main contrib non-free
deb-src http://debian.osuosl.org/debian wheezy-updates main contrib non-free

Il s'agit des sources de la version 7. Le retour de apt-cache policy perl indique que cette version du paquet provient de ces sources.

Il est même d'ailleurs étonnant de ne pas voir squeeze-lts dans les sources possible hmm Ce paquet avait-il le même nom dans Squeeze ? C'est le soucis de bosser avec des anciennes versions, il y a moins d'info. Pour les versions encore maintenues, il y a le site  packages.debian

Le comportement par défaut de apt lors d'une mise à jour, c'est d'installer la plus récentes versions disponibles dans les sources. Si tu as les sources de Debian 6 et 7, tu mets à jour avec les paquets de Debian 7. Avec la commande prudente apt-get upgrade, aucun paquet n'est supprimé avec la commande plus agressive apt-get dist-upgrade, certains paquets sont supprimés s'ils empêchent la mise à jour.

De ce fait, pas besoin de supprimer la version 5.14 avant de modifier le sources.list. Si aucune version plus récente n'existe dans les sources, au pire, tu conserveras cette version. C'est également pour cela qu'il faudra utiliser aptitude pour downgrader, car c'est le seul outils qui sait faire cela.


Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.
file-Re06858991f6f328b4907296ac5cea283

Hors ligne

#12 13-04-2016 15:39:04

bendia
Admin stagiaire
Distrib. : Jessie
Noyau : 3.16.0-4-amd64
(G)UI : Gnome + XFCE + Console
Inscription : 20-03-2012
Site Web

Re : Désinstaller perl 5.14 sur debian 6.0

bendia a écrit :

Il est même d'ailleurs étonnant de ne pas voir squeeze-lts dans les sources possible

J'ai trouvé pourquoi, il faut également avoir de squeeze en plus de squeeze-lts dans les sources, ce dernier tenant le rôle de dépôt security. Ce ne sera plus le même comportement avec wheezy (Debian7) où il n'y a plus rien à changer pour bénéficier du Support à Long Terme, si ce n'est subventionner le boulot wink

Ton sources.list devrait donc ressembler à ça moyennant l'URL à adapter

deb http://httpredir.debian.org/debian/ squeeze main contrib non-free
deb-src http://httpredir.debian.org/debian/ squeeze main contrib non-free

deb http://httpredir.debian.org/debian squeeze-lts main contrib non-free
deb-src http://httpredir.debian.org/debian squeeze-lts main contrib non-free


Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.
file-Re06858991f6f328b4907296ac5cea283

Hors ligne

#13 13-04-2016 15:53:47

TITI29
Membre
Inscription : 13-04-2016

Re : Désinstaller perl 5.14 sur debian 6.0

j'ai modifié mon fichier sources-list de cette façon après avoir repèré les packages:



deb http://snapshot.debian.org/archive/debi … ian/dists/ squeeze main non-free contrib
deb-src http://snapshot.debian.org/archive/debi … ian/dists/ squeeze main non-free contrib

deb http://snapshot.debian.org/archive/debi … ian/dists/ squeeze/updates main contrib non-free
deb-src http://snapshot.debian.org/archive/debi … ian/dists/ squeeze/updates main contrib non-free


deb http://snapshot.debian.org/archive/debi … ian/dists/ squeeze-updates main contrib non-free
deb-src http://snapshot.debian.org/archive/debi … ian/dists/ squeeze-updates main contrib non-free

j'ai lancé après apt-get update

mais ça n'a pas l'air de fonctionner :

W: Impossible de récupérer http://http//snapshot.debian.org/archive/debian-archive/2015082
7T091707Z/debian/dists/dists/squeeze/updates/contrib/i18n/Translation-fr.bz2  Ne parvient pa
s à résoudre « http »

W: Impossible de récupérer http://http//snapshot.debian.org/archive/debian-archive/2015082
7T091707Z/debian/dists/dists/squeeze/updates/main/i18n/Translation-en.bz2  Ne parvient pas Ã
  résoudre « http »

W: Impossible de récupérer http://http//snapshot.debian.org/archive/debian-archive/2015082
7T091707Z/debian/dists/dists/squeeze/updates/main/i18n/Translation-fr.bz2  Ne parvient pas Ã
  résoudre « http »

W: Impossible de récupérer http://http//snapshot.debian.org/archive/debian-archive/2015082
7T091707Z/debian/dists/dists/squeeze/updates/non-free/i18n/Translation-en.bz2  Ne parvient p
as à résoudre « http »
...

Hors ligne

#14 13-04-2016 15:59:20

bendia
Admin stagiaire
Distrib. : Jessie
Noyau : 3.16.0-4-amd64
(G)UI : Gnome + XFCE + Console
Inscription : 20-03-2012
Site Web

Re : Désinstaller perl 5.14 sur debian 6.0

Sans le /dists/ à la fin de l'URL, et dans des balises code=apt_sources pour qu'on voit mieux ton sources.list sur le forum, ça devrait être mieux wink Tant qu'à faire, choisis le 29/02/16 comme date de snapshot, tu auras la dernière version disponible, ça fera toujours 6 mois de mise à jour de gagner.

Je le remet pour la coloration syntaxique, t'avais peut-être pas vu l'édition de ton 2ème message Voir le tuto : Le code, ça pique moins les yeux en couleur

Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.
file-Re06858991f6f328b4907296ac5cea283

Hors ligne

#15 13-04-2016 16:30:25

TITI29
Membre
Inscription : 13-04-2016

Re : Désinstaller perl 5.14 sur debian 6.0

mon sources.list


deb http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/ squeeze main non-free contrib
deb-src http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/ squeeze main non-free contrib

deb http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/ squeeze-lts main contrib non-free
deb-src http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/ squeeze-lts main contrib non-free
 



j'ai lancé

apt-get update


Ign http://snapshot.debian.org squeeze Release.gpg
Ign http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/ squeeze/contrib Translation-en
Ign http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/ squeeze/contrib Translation-fr
Ign http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/ squeeze/main Translation-en
Ign http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/ squeeze/main Translation-fr
Ign http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/ squeeze/non-free Translation-en
Ign http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/ squeeze/non-free Translation-fr
Ign http://snapshot.debian.org squeeze-lts Release.gpg
Ign http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/ squeeze-lts/contrib Translation-en
Ign http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/ squeeze-lts/contrib Translation-fr
Ign http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/ squeeze-lts/main Translation-en
Ign http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/ squeeze-lts/main Translation-fr
Ign http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/ squeeze-lts/non-free Translation-en
Ign http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/ squeeze-lts/non-free Translation-fr
Ign http://snapshot.debian.org squeeze Release
Ign http://snapshot.debian.org squeeze-lts Release
Ign http://snapshot.debian.org squeeze/main Sources
Ign http://snapshot.debian.org squeeze/non-free Sources
Ign http://snapshot.debian.org squeeze/contrib Sources
Ign http://snapshot.debian.org squeeze/main amd64 Packages
Ign http://snapshot.debian.org squeeze/non-free amd64 Packages
Ign http://snapshot.debian.org squeeze/contrib amd64 Packages
Ign http://snapshot.debian.org squeeze-lts/main Sources
Ign http://snapshot.debian.org squeeze-lts/contrib Sources
Ign http://snapshot.debian.org squeeze-lts/non-free Sources
Ign http://snapshot.debian.org squeeze-lts/main amd64 Packages
Ign http://snapshot.debian.org squeeze-lts/contrib amd64 Packages
Ign http://snapshot.debian.org squeeze-lts/non-free amd64 Packages
Err http://snapshot.debian.org squeeze/main Sources
  404  Not Found [IP : 193.62.202.30 80]
Err http://snapshot.debian.org squeeze/non-free Sources
  404  Not Found [IP : 193.62.202.30 80]
Err http://snapshot.debian.org squeeze/contrib Sources
  404  Not Found [IP : 193.62.202.30 80]
Err http://snapshot.debian.org squeeze/main amd64 Packages
  404  Not Found [IP : 193.62.202.30 80]
Err http://snapshot.debian.org squeeze/non-free amd64 Packages
  404  Not Found [IP : 193.62.202.30 80]
Err http://snapshot.debian.org squeeze/contrib amd64 Packages
  404  Not Found [IP : 193.62.202.30 80]
Err http://snapshot.debian.org squeeze-lts/main Sources
  404  Not Found [IP : 193.62.202.30 80]
Err http://snapshot.debian.org squeeze-lts/contrib Sources
  404  Not Found [IP : 193.62.202.30 80]
Err http://snapshot.debian.org squeeze-lts/non-free Sources
  404  Not Found [IP : 193.62.202.30 80]
Err http://snapshot.debian.org squeeze-lts/main amd64 Packages
  404  Not Found [IP : 193.62.202.30 80]
Err http://snapshot.debian.org squeeze-lts/contrib amd64 Packages
  404  Not Found [IP : 193.62.202.30 80]
Err http://snapshot.debian.org squeeze-lts/non-free amd64 Packages
  404  Not Found [IP : 193.62.202.30 80]
W: Impossible de récupérer http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/dists/squeeze/main/source/Sources.gz  404  Not Found [IP : 193.62.202.30 80]

W: Impossible de récupérer http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/dists/squeeze/non-free/source/Sources.gz  404  Not Found [IP : 193.62.202.30 80]

W: Impossible de récupérer http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/dists/squeeze/contrib/source/Sources.gz  404  Not Found [IP : 193.62.202.30 80]

W: Impossible de récupérer http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/dists/squeeze/main/binary-amd64/Packages.gz  404  Not Found [IP : 193.62.202.30 80]

W: Impossible de récupérer http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/dists/squeeze/non-free/binary-amd64/Packages.gz  404  Not Found [IP : 193.62.202.30 80]

W: Impossible de récupérer http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/dists/squeeze/contrib/binary-amd64/Packages.gz  404  Not Found [IP : 193.62.202.30 80]

W: Impossible de récupérer http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/dists/squeeze-lts/main/source/Sources.gz  404  Not Found [IP : 193.62.202.30 80]

W: Impossible de récupérer http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/dists/squeeze-lts/contrib/source/Sources.gz  404  Not Found [IP : 193.62.202.30 80]

W: Impossible de récupérer http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/dists/squeeze-lts/non-free/source/Sources.gz  404  Not Found [IP : 193.62.202.30 80]

W: Impossible de récupérer http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/dists/squeeze-lts/main/binary-amd64/Packages.gz  404  Not Found [IP : 193.62.202.30 80]

W: Impossible de récupérer http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/dists/squeeze-lts/contrib/binary-amd64/Packages.gz  404  Not Found [IP : 193.62.202.30 80]

W: Impossible de récupérer http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/dists/squeeze-lts/non-free/binary-amd64/Packages.gz  404  Not Found [IP : 193.62.202.30 80]

 



j'ai comme l'impression que ça n'a pas marché, y a t-il une erreur ?

Hors ligne

#16 13-04-2016 16:33:33

bendia
Admin stagiaire
Distrib. : Jessie
Noyau : 3.16.0-4-amd64
(G)UI : Gnome + XFCE + Console
Inscription : 20-03-2012
Site Web

Re : Désinstaller perl 5.14 sur debian 6.0

A la place de

deb http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/ squeeze main non-free contrib
deb http://snapshot.debian.org/archive/debian-archive/20160313T130328Z/debian/dists/ squeeze-lts main contrib non-free

deb http://snapshot.debian.org/archive/debian-archive/20160313T130328Z squeeze main non-free contrib
deb http://snapshot.debian.org/archive/debian-archive/20160313T130328Z squeeze-lts main contrib non-free

Ne te prend pas la tête avec les lignes deb-src, sauf si tu veux disposer du code source de chaque paquet pour le recompiler hmm


Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.
file-Re06858991f6f328b4907296ac5cea283

Hors ligne

#17 13-04-2016 17:37:36

bendia
Admin stagiaire
Distrib. : Jessie
Noyau : 3.16.0-4-amd64
(G)UI : Gnome + XFCE + Console
Inscription : 20-03-2012
Site Web

Re : Désinstaller perl 5.14 sur debian 6.0

Bon, je n'avais pas regardé dans le détails mais effectivement, il ne marche pas ton truc. Avec ce sources.list (tiré de l'exemple donné dans la page d’accueil du site snapshot), ça fonctionne

deb http://snapshot.debian.org/archive/debian/20160229T214851Z squeeze main contrib non-free
deb http://snapshot.debian.org/archive/debian/20160229T214851Z squeeze-lts main contrib non-free

Ceci-dit, je ne sais pas pourquoi ça foire avec le tiens:/

apt-cache policy perl

 


perl:
  Installé : 5.14.2-21+deb7u2
  Candidat : 5.14.2-21+deb7u2
 Table de version :
 *** 5.14.2-21+deb7u2 0
        100 /var/lib/dpkg/status
     5.10.1-17squeeze6 0
        500 http://snapshot.debian.org/archive/debian/20160229T214851Z/ squeeze/main amd64 Packages


Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.
file-Re06858991f6f328b4907296ac5cea283

Hors ligne

#18 14-04-2016 08:25:33

TITI29
Membre
Inscription : 13-04-2016

Re : Désinstaller perl 5.14 sur debian 6.0

Bonjour j'ai comme l'impression qu ça a mieux fonctionné :

apt-get update
 


Réception de : 1 http://snapshot.debian.org squeeze Release.gpg [1 655 B]
Ign http://snapshot.debian.org/archive/debian/20160229T214851Z/ squeeze/contrib
Translation-en
Ign http://snapshot.debian.org/archive/debian/20160229T214851Z/ squeeze/contrib
Translation-fr
Ign http://snapshot.debian.org/archive/debian/20160229T214851Z/ squeeze/main Tra
nslation-en
Réception de : 2 http://snapshot.debian.org/archive/debian/20160229T214851Z/ s
queeze/main Translation-fr [553 kB]
Ign http://snapshot.debian.org/archive/debian/20160229T214851Z/ squeeze/non-free
 Translation-en
Ign http://snapshot.debian.org/archive/debian/20160229T214851Z/ squeeze/non-free
 Translation-fr
Réception de : 3 http://snapshot.debian.org squeeze-lts Release.gpg [819 B]
Ign http://snapshot.debian.org/archive/debian/20160229T214851Z/ squeeze-lts/cont
rib Translation-en
Ign http://snapshot.debian.org/archive/debian/20160229T214851Z/ squeeze-lts/cont
rib Translation-fr
Ign http://snapshot.debian.org/archive/debian/20160229T214851Z/ squeeze-lts/main
 Translation-en
Ign http://snapshot.debian.org/archive/debian/20160229T214851Z/ squeeze-lts/main
 Translation-fr
Ign http://snapshot.debian.org/archive/debian/20160229T214851Z/ squeeze-lts/non-
free Translation-en
Ign http://snapshot.debian.org/archive/debian/20160229T214851Z/ squeeze-lts/non-
free Translation-fr
Réception de : 4 http://snapshot.debian.org squeeze Release [96,0 kB]
Réception de : 5 http://snapshot.debian.org squeeze-lts Release
E: Le fichier Release a expiré, http://snapshot.debian.org/archive/debian/20160
229T214851Z/dists/squeeze-lts/Release ignoré (non valable depuis 37d 9h 27min 2
7s)
 


apt-cache policy perl
 


perl:
  Installé : 5.14.2-21+deb7u3
  Candidat : 5.14.2-21+deb7u3
 Table de version :
 *** 5.14.2-21+deb7u3 0
        100 /var/lib/dpkg/status
 



est ce que pour toi c'est ok update ? et comment je doit procéder pour installer perl 5.10. merci pour ton aide.

Pierre

Hors ligne

#19 14-04-2016 10:34:05

bendia
Admin stagiaire
Distrib. : Jessie
Noyau : 3.16.0-4-amd64
(G)UI : Gnome + XFCE + Console
Inscription : 20-03-2012
Site Web

Re : Désinstaller perl 5.14 sur debian 6.0

Jette un œil au tuto que j'ai mis en lien plus haut, histoire d'avoir la commande magique pour les dépôts plus vieux que mon grand-père.

Bah oui, il faut lire la doc en entier wink

Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.
file-Re06858991f6f328b4907296ac5cea283

Hors ligne

Pied de page des forums